multipath can't show device on which is setup lvm

Bug #985741 reported by vincent
20
This bug affects 3 people
Affects Status Importance Assigned to Milestone
multipath-tools (Ubuntu)
Undecided
Unassigned

Bug Description

root@SGELLIN119:~# lsb_release -rd
Description: Ubuntu 11.10
Release: 11.10

affect package: multipath-tools, lvm2

If creating logical volume with Multipath on disk primary partition 1, multipath can’t find the
disks. Syslog show such error when booting system

kernel: [ 27.604034] device-mapper: table: 252:5: multipath: error getting device
kernel: [ 27.604115] device-mapper: ioctl: error adding target to table

I use fdisk to create two partitions on one physical lun.

Mpath6:
/dev/mapper/mpath6-part1
/dev/mapper/mpath6-part2

Mpath7:
/dev/mapper/mpath7-part1
/dev/mapper/mpath7-part2

create a logical volume on mpath6-part2, mpath7-part2
Reboot host, there is no exception and error logs. Multipath could
Find all devices.

root@SGELLIN119:~# multipath -ll | grep SYMM
mpath9 (360000970000192602316533030453335) dm-10 EMC,SYMMETRIX
mpath8 (360000970000192602316533030453334) dm-6 EMC,SYMMETRIX
mpath7 (360000970000192602316533030453333) dm-7 EMC,SYMMETRIX
mpath6 (360000970000192602316533030453332) dm-4 EMC,SYMMETRIX
mpath5 (360000970000192602316533030453331) dm-3 EMC,SYMMETRIX

root@SGELLIN119:~# lvs -v
    Finding all logical volumes
  LV VG #Seg Attr LSize Maj Min KMaj KMin Origin Snap% Move Copy% Log Convert LV UUID
  mlv my_vg 1 -wi-a- 1020.00m -1 -1 252 22 c3cECW-CJry-OdXI-O9bZ-lXq8-BUYq-obzcvB
  sym_lv2 sym_vg2 2 -wi-a- 200.00m -1 -1 252 20 1t9SZa-QEEm-2u6p-lCqN-aqcd-xOpn-dC1YAu
  sym_lv3 sym_vg3 2 -wi-a- 200.00m -1 -1 252 21 w4H00r-l71s-UURm-C32C-wDuS-fEF2-wlJFI0

Then I use same way to create a lv on mpath6-part1 and mpath7-part1
After rebooting host, there are some error logs happen.
Multipath can’t find mpath6 and mapth7. Of course the logical volums on
Mpath6 and mpath7 were lost also.

root@SGELLIN119:~# multipath -ll| grep SYMM
mpath9 (360000970000192602316533030453335) dm-3 EMC,SYMMETRIX
mpath8 (360000970000192602316533030453334) dm-2 EMC,SYMMETRIX
mpath5 (360000970000192602316533030453331) dm-5 EMC,SYMMETRIX

root@SGELLIN119:~# lvs -v
    Finding all logical volumes
  LV VG #Seg Attr LSize Maj Min KMaj KMin Origin Snap% Move Copy% Log Convert LV UUID
  mlv my_vg 1 -wi-a- 1020.00m -1 -1 252 1 c3cECW-CJry-OdXI-O9bZ-lXq8-BUYq-obzcvB

the finding is that if creating lvm on disk primary partition 1. Something were changed and it lead multipath
couldn’t find devices.

root@SGELLIN119:~# udevadm info --query=all --name=/dev/mapper/mpath6
P: /devices/virtual/block/dm-8
N: dm-8
L: -100
S: mapper/mpath6
S: disk/by-id/dm-name-mpath6
S: disk/by-id/dm-uuid-mpath-360000970000192602316533030453332
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/block/dm-8
E: MAJOR=252
E: MINOR=8
E: DEVNAME=/dev/dm-8
E: DEVTYPE=disk
E: SUBSYSTEM=block
E: DM_NAME=mpath6
E: DM_UUID=mpath-360000970000192602316533030453332
E: DM_SUSPENDED=0
E: DM_UDEV_RULES=1
E: DEVLINKS=/dev/mapper/mpath6 /dev/disk/by-id/dm-name-mpath6 /dev/disk/by-id/dm-uuid-mpath-360000970000192602316533030453332

Value "L" is negative compare to normal one

Here is an temporary recovery way:
4) Service multipath-tools stop
5) Dmsetup remove_all
6) Service multipath-tools start
However, the issue is consistent after I reboot OS.

If I remove lv ( still have LVM package in OS) , multipath work well.

tags: added: disk drive harddrive logical lv lvm multipath-tools partition partitioning
tags: added: incompatibility regression
tags: removed: bug.apport disk drive logical lv partition
Revision history for this message
Cruz Bishop (cruzjbishop) wrote :

Hi, sorry it's taken so long for somebody to look at this bug.

Just out of interest, what version of multipath-tools are you using? I saw somewhere that there was a change in configuration between 0.4.9 and all earlier versions, but I'm not sure if that could do something like this.

Changed in multipath-tools (Ubuntu):
status: New → Incomplete
Revision history for this message
Cruz Bishop (cruzjbishop) wrote :

Sorry, clicked incomplete by accident. I meant to click on confirmed.

Changed in multipath-tools (Ubuntu):
status: Incomplete → Confirmed
Revision history for this message
David Duffey (dduffey) wrote :

Hi Vencent,

Here are some things you can try that might help narrow the problem:

* Re-create the init ramdisk, make sure your storage module is in the initrd
   (what modules are in the initrd, vs what modules are loaded after boot and everything
    is working)
* Can you test this on 12.04 LTS (released April 26th) to see if it has the same behaviour?
* Show the output of multipathd -k"show config"
* Give the output of the following commands before creating the lv, after, and after reboot
   * dmsetup ls --tree
   * dmsetup table

I suspect this can be fixed in the initrd.

David

Revision history for this message
vincent (vincent-y-chen) wrote : RE: [Bug 985741] Re: multipath can't show device on which is setup lvm
Download full text (4.9 KiB)

Hi
Here is the multipath-tools version

/ Name Version Description
+++-==============-==============-============================================
ii multipath-tool 0.4.9-2ubuntu1 maintain multipath block device access

Vincent Chen
EMC2 | E-Lab Linux team

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Cruz Bishop
Sent: Thursday, April 26, 2012 5:01 AM
To: Chen, Vincent
Subject: [Bug 985741] Re: multipath can't show device on which is setup lvm

Hi, sorry it's taken so long for somebody to look at this bug.

Just out of interest, what version of multipath-tools are you using? I
saw somewhere that there was a change in configuration between 0.4.9 and
all earlier versions, but I'm not sure if that could do something like
this.

** Changed in: multipath-tools (Ubuntu)
       Status: New => Incomplete

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/985741

Title:
  multipath can't show device on which is setup lvm

Status in “multipath-tools” package in Ubuntu:
  Confirmed

Bug description:
  root@SGELLIN119:~# lsb_release -rd
  Description: Ubuntu 11.10
  Release: 11.10

  affect package: multipath-tools, lvm2

  If creating logical volume with Multipath on disk primary partition 1, multipath can’t find the
  disks. Syslog show such error when booting system

  kernel: [ 27.604034] device-mapper: table: 252:5: multipath: error getting device
  kernel: [ 27.604115] device-mapper: ioctl: error adding target to table

  I use fdisk to create two partitions on one physical lun.

  Mpath6:
  /dev/mapper/mpath6-part1
  /dev/mapper/mpath6-part2

  Mpath7:
  /dev/mapper/mpath7-part1
  /dev/mapper/mpath7-part2

  create a logical volume on mpath6-part2, mpath7-part2
  Reboot host, there is no exception and error logs. Multipath could
  Find all devices.

  root@SGELLIN119:~# multipath -ll | grep SYMM
  mpath9 (360000970000192602316533030453335) dm-10 EMC,SYMMETRIX
  mpath8 (360000970000192602316533030453334) dm-6 EMC,SYMMETRIX
  mpath7 (360000970000192602316533030453333) dm-7 EMC,SYMMETRIX
  mpath6 (360000970000192602316533030453332) dm-4 EMC,SYMMETRIX
  mpath5 (360000970000192602316533030453331) dm-3 EMC,SYMMETRIX

  root@SGELLIN119:~# lvs -v
      Finding all logical volumes
    LV VG #Seg Attr LSize Maj Min KMaj KMin Origin Snap% Move Copy% Log Convert LV UUID
    mlv my_vg 1 -wi-a- 1020.00m -1 -1 252 22 c3cECW-CJry-OdXI-O9bZ-lXq8-BUYq-obzcvB
    sym_lv2 sym_vg2 2 -wi-a- 200.00m -1 -1 252 20 1t9SZa-QEEm-2u6p-lCqN-aqcd-xOpn-dC1YAu
    sym_lv3 sym_vg3 2 -wi-a- 200.00m -1 -1 252 21 w4H00r-l71s-UURm-C32C-wDuS-fEF2-wlJFI0

  Then I use same way to create a lv on mpath6-part1 and mpath7-part1
  After rebooting host, there are some error logs happen.
  Multipath can’t find mpath6 and mapth7. Of course the logical volums on
  Mpat...

Read more...

Revision history for this message
vincent (vincent-y-chen) wrote :
Download full text (5.3 KiB)

Hi David

1)What do mean storage module in the initrd, is it HBA driver module?

2)I have upgrade to 12.04 LTS this morning, don't see same behavior.
   Please see the unbutu_12.04_multipath.txt

3)see multipath configure in attachment

4)As you request, attach test result before and after creation of LVM
   And also reboot host.

Vincent Chen
EMC2 | E-Lab Linux team

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of David Duffey
Sent: Thursday, April 26, 2012 8:47 AM
To: Chen, Vincent
Subject: [Bug 985741] Re: multipath can't show device on which is setup lvm

Hi Vencent,

Here are some things you can try that might help narrow the problem:

* Re-create the init ramdisk, make sure your storage module is in the initrd
   (what modules are in the initrd, vs what modules are loaded after boot and everything
    is working)
* Can you test this on 12.04 LTS (released April 26th) to see if it has the same behaviour?
* Show the output of multipathd -k"show config"
* Give the output of the following commands before creating the lv, after, and after reboot
   * dmsetup ls --tree
   * dmsetup table

I suspect this can be fixed in the initrd.

David

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/985741

Title:
  multipath can't show device on which is setup lvm

Status in “multipath-tools” package in Ubuntu:
  Confirmed

Bug description:
  root@SGELLIN119:~# lsb_release -rd
  Description: Ubuntu 11.10
  Release: 11.10

  affect package: multipath-tools, lvm2

  If creating logical volume with Multipath on disk primary partition 1, multipath can’t find the
  disks. Syslog show such error when booting system

  kernel: [ 27.604034] device-mapper: table: 252:5: multipath: error getting device
  kernel: [ 27.604115] device-mapper: ioctl: error adding target to table

  I use fdisk to create two partitions on one physical lun.

  Mpath6:
  /dev/mapper/mpath6-part1
  /dev/mapper/mpath6-part2

  Mpath7:
  /dev/mapper/mpath7-part1
  /dev/mapper/mpath7-part2

  create a logical volume on mpath6-part2, mpath7-part2
  Reboot host, there is no exception and error logs. Multipath could
  Find all devices.

  root@SGELLIN119:~# multipath -ll | grep SYMM
  mpath9 (360000970000192602316533030453335) dm-10 EMC,SYMMETRIX
  mpath8 (360000970000192602316533030453334) dm-6 EMC,SYMMETRIX
  mpath7 (360000970000192602316533030453333) dm-7 EMC,SYMMETRIX
  mpath6 (360000970000192602316533030453332) dm-4 EMC,SYMMETRIX
  mpath5 (360000970000192602316533030453331) dm-3 EMC,SYMMETRIX

  root@SGELLIN119:~# lvs -v
      Finding all logical volumes
    LV VG #Seg Attr LSize Maj Min KMaj KMin Origin Snap% Move Copy% Log Convert LV UUID
    mlv my_vg 1 -wi-a- 1020.00m -1 -1 252 22 c3cECW-CJry-OdXI-O9bZ-lXq8-BUYq-obzcvB
    sym_lv2 sym_vg2 2 -wi-a- 200.00m -1 -1 252 20 1t9SZa-QEEm-2u6p-lCqN-aqcd-xOpn-dC1YAu
    sym...

Read more...

Revision history for this message
vincent (vincent-y-chen) wrote :
Download full text (5.5 KiB)

Sorry. Miss a test file.

Vincent Chen
EMC2 | E-Lab Linux team

-----Original Message-----
From: Chen, Vincent
Sent: Thursday, April 26, 2012 12:56 PM
To: 'Bug 985741'
Subject: RE: [Bug 985741] Re: multipath can't show device on which is setup lvm

Hi David

1)What do mean storage module in the initrd, is it HBA driver module?

2)I have upgrade to 12.04 LTS this morning, don't see same behavior.
   Please see the unbutu_12.04_multipath.txt

3)see multipath configure in attachment

4)As you request, attach test result before and after creation of LVM
   And also reboot host.

Vincent Chen
EMC2 | E-Lab Linux team

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of David Duffey
Sent: Thursday, April 26, 2012 8:47 AM
To: Chen, Vincent
Subject: [Bug 985741] Re: multipath can't show device on which is setup lvm

Hi Vencent,

Here are some things you can try that might help narrow the problem:

* Re-create the init ramdisk, make sure your storage module is in the initrd
   (what modules are in the initrd, vs what modules are loaded after boot and everything
    is working)
* Can you test this on 12.04 LTS (released April 26th) to see if it has the same behaviour?
* Show the output of multipathd -k"show config"
* Give the output of the following commands before creating the lv, after, and after reboot
   * dmsetup ls --tree
   * dmsetup table

I suspect this can be fixed in the initrd.

David

--
You received this bug notification because you are subscribed to the bug report.
https://bugs.launchpad.net/bugs/985741

Title:
  multipath can't show device on which is setup lvm

Status in “multipath-tools” package in Ubuntu:
  Confirmed

Bug description:
  root@SGELLIN119:~# lsb_release -rd
  Description: Ubuntu 11.10
  Release: 11.10

  affect package: multipath-tools, lvm2

  If creating logical volume with Multipath on disk primary partition 1, multipath can’t find the
  disks. Syslog show such error when booting system

  kernel: [ 27.604034] device-mapper: table: 252:5: multipath: error getting device
  kernel: [ 27.604115] device-mapper: ioctl: error adding target to table

  I use fdisk to create two partitions on one physical lun.

  Mpath6:
  /dev/mapper/mpath6-part1
  /dev/mapper/mpath6-part2

  Mpath7:
  /dev/mapper/mpath7-part1
  /dev/mapper/mpath7-part2

  create a logical volume on mpath6-part2, mpath7-part2
  Reboot host, there is no exception and error logs. Multipath could
  Find all devices.

  root@SGELLIN119:~# multipath -ll | grep SYMM
  mpath9 (360000970000192602316533030453335) dm-10 EMC,SYMMETRIX
  mpath8 (360000970000192602316533030453334) dm-6 EMC,SYMMETRIX
  mpath7 (360000970000192602316533030453333) dm-7 EMC,SYMMETRIX
  mpath6 (360000970000192602316533030453332) dm-4 EMC,SYMMETRIX
  mpath5 (360000970000192602316533030453331) dm-3 EMC,SYMMETRIX

  root@SGELLIN119:~# lvs -v
      Finding all logical volumes
    LV VG #Seg Attr LSize Maj Min KMaj KMin Origin Snap% Move Copy% Log Convert LV UUID
    mlv my_vg ...

Read more...

Revision history for this message
David Duffey (dduffey) wrote :

Hi Vencent,

The initial ramdisk includes modules, configuration files, and scripts needed to boot
the system. Since everything works post-boot, I suspect that some initialization
is the problem.

After looking through your information I am almost certain this is because during
the init process LVM is grabbing the block devices BEFORE multipath gets the chance.

Do you see that after the boot your volume groups are using scsi major numbers (8)
instead of multipath (252)?

It doesn't explain everything.. I would expect this to be a problem even for the
second partition, not only when you create an LVM on partition 1. Nor does it
explain why the volume group doesn't come up, yet it found it's PVs (directly
instead of using the correct multipath).

Take a look at this bug report, it is a familiar problem. You might have to recreate
an initrd with the correct multipath and lvm config files, and also make sure the
kernel modules you need are loaded.

https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/246324

Sorry I do not have 11.10 installed or I would try to dig a bit deeper. Canonical
does have a Technical Partner Program for vendors that want to have a formal
relationship (technical partner manager) to make their devices work well
out-of-the-box with Ubuntu.

David

Revision history for this message
vincent (vincent-y-chen) wrote :
Download full text (6.3 KiB)

Hi David
As I test yesterday, there is no same behavior on Ubuntu 12.4(LTS).

I extract the initrd ramdisk of initrd.img-3.0.0-12-server(U11.10)
And initrd.img-3.2.0-20-generic(U12.04).There is no multipath.conf.
Compare the lvm.conf and modrprobe.d/blacklist.conf in ramdisk, there
is no any difference.

I have done the test many times and on two host separately.
The issue only affect partition 1 undoubtedly.

At least we know Ubuntu 12.4 has no problem now, so what's difference between
Them related to multipath-tools and lvm, code, configuration file etc?

Due to this is a bug, does Ubuntu will have a fix or patch on major release 11?

Vincent Chen
EMC2 | E-Lab Linux team

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of David Duffey
Sent: Friday, April 27, 2012 3:35 AM
To: Chen, Vincent
Subject: [Bug 985741] Re: multipath can't show device on which is setup lvm

Hi Vencent,

The initial ramdisk includes modules, configuration files, and scripts needed to boot
the system. Since everything works post-boot, I suspect that some initialization
is the problem.

After looking through your information I am almost certain this is because during
the init process LVM is grabbing the block devices BEFORE multipath gets the chance.

Do you see that after the boot your volume groups are using scsi major numbers (8)
instead of multipath (252)?

It doesn't explain everything.. I would expect this to be a problem even for the
second partition, not only when you create an LVM on partition 1. Nor does it
explain why the volume group doesn't come up, yet it found it's PVs (directly
instead of using the correct multipath).

Take a look at this bug report, it is a familiar problem. You might have to recreate
an initrd with the correct multipath and lvm config files, and also make sure the
kernel modules you need are loaded.

https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/246324

Sorry I do not have 11.10 installed or I would try to dig a bit deeper. Canonical
does have a Technical Partner Program for vendors that want to have a formal
relationship (technical partner manager) to make their devices work well
out-of-the-box with Ubuntu.

David

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/985741

Title:
  multipath can't show device on which is setup lvm

Status in “multipath-tools” package in Ubuntu:
  Confirmed

Bug description:
  root@SGELLIN119:~# lsb_release -rd
  Description: Ubuntu 11.10
  Release: 11.10

  affect package: multipath-tools, lvm2

  If creating logical volume with Multipath on disk primary partition 1, multipath can’t find the
  disks. Syslog show such error when booting system

  kernel: [ 27.604034] device-mapper: table: 252:5: multipath: error getting device
  kernel: [ 27.604115] device-mapper: ioctl: error adding target to table

  I use fdisk to create two partitions on one physical lun.

  Mpath6:
  /dev/mapper/mpath6-part1
  /dev/mapper/mpath6-part2

  Mpath7:
  /dev/mapper/mpath7-part...

Read more...

Revision history for this message
Peter Petrakis (peter-petrakis) wrote :

I don't think you need to upgrade at all, your multipathd is sufficiently modern
and not much different from the version in 12.04.

Interesting, I see that you're using user_friendly_names, though since you're also
using LVM, it kind of makes that feature redundant as the LVM is now your
user friendly name, and having that multipath feature adds another level of
 complexity when UDEV is creating devices. Please set "user_friendly_names no" in
 /etc/multipath.conf, and update your initrd "update-initramfs -k all -u". The last
part is important as the multipath.conf is copied to the initrd and used as the
basis for any blacklists or additional UDEV juggling.

What might have happened is you didn't update the initrd since you created the
initial multipath config. Since the default is no, the ramdisk creates the normal
long style WWID names, then it mounts root, multipathd starts which finds user
friendly names set and then begins destroying the original WWID names in
exchange for the mpathx versions. If LVM has claimed the MP device by then,
destruction of the original name (and dmtable entry) will be blocked by reference
counting.

In general, it's imperative that you update the initramfs whenever lvm.conf or
multipath.conf is changed, especially when you're using them together.

https://help.ubuntu.com/12.04/serverguide/multipath-devices.html#multipath-devices-in-logical-volumes

Also, please adjust your local character encoding to a western font. Some of your text files
look like gibberish e.g.

https://launchpadlibrarian.net/103100334/test_before_after_lvm_reboot.txt
    a¡±¡±a¡±€ (8:144)
mpath9 (252:7)
 a¡±?a¡±€ (65:80)
 a¡±¡±a¡±€ (8:160)
mpath15 (252:12)
 a¡±?a¡±€ (8:224)
 a¡±¡±a¡±€ (8:48)
mpath5-part1 (252:10)
 a¡±¡±a¡±€mpath5 (252:2)
    a¡±?a¡±€ (65:16)
    a¡±¡±a¡±€ (8:96)
mpath14-part1 (252:9)

Thank you. -- Peter

Changed in multipath-tools (Ubuntu):
status: Confirmed → Incomplete
assignee: nobody → Peter Petrakis (peter-petrakis)
Revision history for this message
vincent (vincent-y-chen) wrote :
Download full text (6.5 KiB)

Yes, Peter, you are right.
After I update initramfs, this issue is resolved.
Thanks for your strong support.

Vincent Chen
EMC2 | E-Lab Linux team

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Peter Petrakis
Sent: Friday, April 27, 2012 9:54 PM
To: Chen, Vincent
Subject: [Bug 985741] Re: multipath can't show device on which is setup lvm

I don't think you need to upgrade at all, your multipathd is sufficiently modern
and not much different from the version in 12.04.

Interesting, I see that you're using user_friendly_names, though since you're also
using LVM, it kind of makes that feature redundant as the LVM is now your
user friendly name, and having that multipath feature adds another level of
 complexity when UDEV is creating devices. Please set "user_friendly_names no" in
 /etc/multipath.conf, and update your initrd "update-initramfs -k all -u". The last
part is important as the multipath.conf is copied to the initrd and used as the
basis for any blacklists or additional UDEV juggling.

What might have happened is you didn't update the initrd since you created the
initial multipath config. Since the default is no, the ramdisk creates the normal
long style WWID names, then it mounts root, multipathd starts which finds user
friendly names set and then begins destroying the original WWID names in
exchange for the mpathx versions. If LVM has claimed the MP device by then,
destruction of the original name (and dmtable entry) will be blocked by reference
counting.

In general, it's imperative that you update the initramfs whenever lvm.conf or
multipath.conf is changed, especially when you're using them together.

https://help.ubuntu.com/12.04/serverguide/multipath-devices.html
#multipath-devices-in-logical-volumes

Also, please adjust your local character encoding to a western font. Some of your text files
look like gibberish e.g.

https://launchpadlibrarian.net/103100334/test_before_after_lvm_reboot.txt
    a¡±¡±a¡±€ (8:144)
mpath9 (252:7)
 a¡±?a¡±€ (65:80)
 a¡±¡±a¡±€ (8:160)
mpath15 (252:12)
 a¡±?a¡±€ (8:224)
 a¡±¡±a¡±€ (8:48)
mpath5-part1 (252:10)
 a¡±¡±a¡±€mpath5 (252:2)
    a¡±?a¡±€ (65:16)
    a¡±¡±a¡±€ (8:96)
mpath14-part1 (252:9)

Thank you. -- Peter

** Changed in: multipath-tools (Ubuntu)
       Status: Confirmed => Incomplete

** Changed in: multipath-tools (Ubuntu)
     Assignee: (unassigned) => Peter Petrakis (peter-petrakis)

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/985741

Title:
  multipath can't show device on which is setup lvm

Status in “multipath-tools” package in Ubuntu:
  Incomplete

Bug description:
  root@SGELLIN119:~# lsb_release -rd
  Description: Ubuntu 11.10
  Release: 11.10

  affect package: multipath-tools, lvm2

  If creating logical volume with Multipath on disk primary partition 1, multipath can’t find the
  disks. Syslog show such error when booting system

  kernel: [ 27.604034] device-mapper: table: 252:5: multipath: error getting device
  kernel: [ 27.604115] device-mapper: ioct...

Read more...

Revision history for this message
Peter Petrakis (peter-petrakis) wrote :

@Vincent,

I'm glad we could get you sorted. New for 12.04 is the DM-Multipath documentation which
really focuses around the upstream version multipath-0.4.9. You may find other useful
bits of information there. Closing out this issue as "Invalid" since it is not a defect.

https://help.ubuntu.com/12.04/serverguide/dm-multipath-chapter.html

Take care.
-- Peter

Changed in multipath-tools (Ubuntu):
status: Incomplete → Invalid
assignee: Peter Petrakis (peter-petrakis) → nobody
Revision history for this message
Cruz Bishop (cruzjbishop) wrote :

Good to see this was all sorted, Vincent! Have fun with Ubuntu :)

@Peter: Thank you

Revision history for this message
vincent (vincent-y-chen) wrote :
Download full text (4.4 KiB)

Thanks, guru:-)

Vincent Chen
EMC2 | E-Lab Linux team

-----Original Message-----
From: <email address hidden> [mailto:<email address hidden>] On Behalf Of Cruz Bishop
Sent: Sunday, April 29, 2012 5:49 AM
To: Chen, Vincent
Subject: [Bug 985741] Re: multipath can't show device on which is setup lvm

Good to see this was all sorted, Vincent! Have fun with Ubuntu :)

@Peter: Thank you

--
You received this bug notification because you are subscribed to the bug
report.
https://bugs.launchpad.net/bugs/985741

Title:
  multipath can't show device on which is setup lvm

Status in “multipath-tools” package in Ubuntu:
  Invalid

Bug description:
  root@SGELLIN119:~# lsb_release -rd
  Description: Ubuntu 11.10
  Release: 11.10

  affect package: multipath-tools, lvm2

  If creating logical volume with Multipath on disk primary partition 1, multipath can’t find the
  disks. Syslog show such error when booting system

  kernel: [ 27.604034] device-mapper: table: 252:5: multipath: error getting device
  kernel: [ 27.604115] device-mapper: ioctl: error adding target to table

  I use fdisk to create two partitions on one physical lun.

  Mpath6:
  /dev/mapper/mpath6-part1
  /dev/mapper/mpath6-part2

  Mpath7:
  /dev/mapper/mpath7-part1
  /dev/mapper/mpath7-part2

  create a logical volume on mpath6-part2, mpath7-part2
  Reboot host, there is no exception and error logs. Multipath could
  Find all devices.

  root@SGELLIN119:~# multipath -ll | grep SYMM
  mpath9 (360000970000192602316533030453335) dm-10 EMC,SYMMETRIX
  mpath8 (360000970000192602316533030453334) dm-6 EMC,SYMMETRIX
  mpath7 (360000970000192602316533030453333) dm-7 EMC,SYMMETRIX
  mpath6 (360000970000192602316533030453332) dm-4 EMC,SYMMETRIX
  mpath5 (360000970000192602316533030453331) dm-3 EMC,SYMMETRIX

  root@SGELLIN119:~# lvs -v
      Finding all logical volumes
    LV VG #Seg Attr LSize Maj Min KMaj KMin Origin Snap% Move Copy% Log Convert LV UUID
    mlv my_vg 1 -wi-a- 1020.00m -1 -1 252 22 c3cECW-CJry-OdXI-O9bZ-lXq8-BUYq-obzcvB
    sym_lv2 sym_vg2 2 -wi-a- 200.00m -1 -1 252 20 1t9SZa-QEEm-2u6p-lCqN-aqcd-xOpn-dC1YAu
    sym_lv3 sym_vg3 2 -wi-a- 200.00m -1 -1 252 21 w4H00r-l71s-UURm-C32C-wDuS-fEF2-wlJFI0

  Then I use same way to create a lv on mpath6-part1 and mpath7-part1
  After rebooting host, there are some error logs happen.
  Multipath can’t find mpath6 and mapth7. Of course the logical volums on
  Mpath6 and mpath7 were lost also.

  root@SGELLIN119:~# multipath -ll| grep SYMM
  mpath9 (360000970000192602316533030453335) dm-3 EMC,SYMMETRIX
  mpath8 (360000970000192602316533030453334) dm-2 EMC,SYMMETRIX
  mpath5 (360000970000192602316533030453331) dm-5 EMC,SYMMETRIX

  root@SGELLIN119:~# lvs -v
      Finding all logical volumes
    LV VG #Seg Attr LSize Maj Min KMaj KMin Origin Snap% Move Copy% Log Convert LV UUID
    mlv my_vg 1 -wi-a- 1020...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions